Package be.e_contract.ejsf.component.viewlogs

# Class AuthorizationCode

java.lang.Object
be.e_contract.ejsf.component.viewlogs.AuthorizationCode

public class AuthorizationCode extends Object

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationCode(javax.faces.context.FacesContext facesContext)`

## Method Summary

Modifier and Type
Method
Description
`String`
`generateCode(String identifier)`
`boolean`
`validateCode(String identifier, String code)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthorizationCode

public AuthorizationCode(javax.faces.context.FacesContext facesContext)

## Method Details

### generateCode

public String generateCode(String identifier)

### validateCode

public boolean validateCode(String identifier, String code)